package de.ivu.elect.presentation.gebietsbaum.form;

import java.util.List;

import javax.annotation.Nullable;

import de.ivu.elect.business.benutzerverwaltung.entity.Rolle;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.GebietConstants;

public class GebietRolleEinsehenProperty extends AbstractGebietRolleProperty {

  public GebietRolleEinsehenProperty(Gebiet entity, List<Rolle> values, String noSelectionLabel) {
    super(entity, values, noSelectionLabel);
  }

  @Override
  public boolean getDefaultRequired() {
    return !GebietConstants.EINSEHEN_ID_NULLABLE;
  }

  @Override
  public String getDefaultLabel() {
    return getMessage(GebietConstants.MESSAGE_KEY_EINSEHEN_ID_EINZAHL);
  }

  @Nullable
  @Override
  public Rolle getValue() {
    return getEntity().getEinsehenRolle();
  }

  @Override
  public void setValue(Rolle rolle) {
    getEntity().setEinsehenRolle(rolle);
  }
}
